#!/usr/bin/python
from ansible.module_utils.basic import AnsibleModule
def main():
    module = AnsibleModule(
            argument_spec={
                "name": {"type": "str", "required": True}
            }
        )
    name = module.params["name"]
    if name == "admin":
        module.fail_json(msg="Nom réservé !")
    module.exit_json(changed=True, msg=f"Bonjour {name}") 
if __name__ == '__main__':
    main()